/*
 *  load.h - conf and edi-logs loading
 *  Copyright (c)2005 Mike Karas OM4AA <mike.om4aa@gmail.com>
 *  Copyright (c)2009 Ladislav Vaiz OK1ZIA <ok1zia@nagano.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef LOAD_H
#define LOAD_H

#include "osdep.h"

extern int cwonly;
extern int qsop;
extern int wwlmult;
extern int penboth;
extern int checknr;

void make_path(char *path);
int load_file(char *path, char *filename, uint8_t force_check);
int load_reku(char *path, uint8_t force_check);
void load_path(char *pth, uint8_t force_check);
void load_cfg(char *filename);
char *chomp(char *str);

#endif /* LOAD_H */
